You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     lich...@gmail.com
Last committer: jbe...@freebsd.org
Ident:          $FreeBSD: head/chinese/librime/Makefile 426908 2016-11-23 
12:45:46Z jbeich $
Log URL:        
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p427466_s309339/logs/zh-librime-1.2.9_1.log
Build URL:      
http://beefy8.nyi.freebsd.org/build.html?mastername=head-armv6-default&build=p427466_s309339
Log:

====>> Building chinese/librime
build started at Fri Dec  2 06:31:40 UTC 2016
port directory: /usr/ports/chinese/librime
building for: FreeBSD head-armv6-default-job-07 12.0-CURRENT FreeBSD 
12.0-CURRENT r309339 arm
maintained by: lich...@gmail.com
Makefile ident:      $FreeBSD: head/chinese/librime/Makefile 426908 2016-11-23 
12:45:46Z jbeich $
Poudriere version: 3.1.14
Host OSVERSION: 1200010
Jail OSVERSION: 1200017
Job Id: 07




!!! Jail is newer than host. (Jail: 1200017, Host: 1200010) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
UNAME_v=FreeBSD 12.0-CURRENT r309339
UNAME_r=12.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=armv6
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-armv6-default/ref
QEMU_EMULATING=1
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=zh-librime-1.2.9_1
OSREL=12.0
_OSRELEASE=12.0-CURRENT
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/head-armv6-default/ref/.p/pool
MASTERNAME=head-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.14
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1200017
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PKG_CONFIG=pkgconf ac_cv_path_PERL=/usr/local/bin/perl 
ac_cv_path_PERL_PATH=/usr/local/bin/perl 
XDG_DATA_HOME=/wrkdirs/usr/ports/chinese/librime/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/chinese/librime/work  
HOME=/wrkdirs/usr/ports/chinese/librime/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/chinese/librime/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/chinese/librime/work  
HOME=/wrkdirs/usr/ports/chinese/librime/work TMPDIR="/tmp" NO_PIE=yes 
MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  
CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe  -fno-strict-aliasing"  
CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS=" -lintl" LIBS=""  
CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
VER=1.2.9
CMAKE_BUILD_TYPE="release"
OSREL=12.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
PERL_VERSION=5.24.1
PERL_VER=5.24
PERL5_MAN1=lib/perl5/site_perl/man/man1
PERL5_MAN3=lib/perl5/site_perl/man/man3
SITE_PERL=lib/perl5/site_perl
SITE_ARCH=lib/perl5/site_perl/mach/5.24
DOCSDIR="share/doc/librime"
EXAMPLESDIR="share/examples/librime"
DATADIR="share/librime"
WWWDIR="www/librime"
ETCDIR="etc/librime"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/librime
DOCSDIR=/usr/local/share/doc/librime
EXAMPLESDIR=/usr/local/share/examples/librime
WWWDIR=/usr/local/www/librime
ETCDIR=/usr/local/etc/librime
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   zh-librime-1.2.9_1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.9.3.txz
[head-armv6-default-job-07] Installing pkg-1.9.3...
[head-armv6-default-job-07] Extracting pkg-1.9.3: .......... done
===>   zh-librime-1.2.9_1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of zh-librime-1.2.9_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by zh-librime-1.2.9_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by zh-librime-1.2.9_1 for building
=> SHA256 Checksum OK for rime-librime-rime-1.2.9_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by zh-librime-1.2.9_1 for building
===>  Extracting for zh-librime-1.2.9_1
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by zh-librime-1.2.9_1 for building
=> SHA256 Checksum OK for rime-librime-rime-1.2.9_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===>   zh-librime-1.2.9_1 depends on package: perl5>=5.24<5.25 - not found
===>   Installing existing package /packages/All/perl5-5.24.1.r4.txz
[head-armv6-default-job-07] Installing perl5-5.24.1.r4...
[head-armv6-default-job-07] Extracting perl5-5.24.1.r4: .......... done
Message from perl5-5.24.1.r4:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   zh-librime-1.2.9_1 depends on package: perl5>=5.24<5.25 - found
===>   Returning to build of zh-librime-1.2.9_1
<snip>
[head-armv6-default-job-07] `-- Extracting cmake-modules-3.6.3: .......... done
[head-armv6-default-job-07] `-- Installing curl-7.51.0_1...
[head-armv6-default-job-07] |   `-- Installing ca_root_nss-3.27.1...
[head-armv6-default-job-07] |   `-- Extracting ca_root_nss-3.27.1: ........ done
[head-armv6-default-job-07] `-- Extracting curl-7.51.0_1: .......... done
[head-armv6-default-job-07] `-- Installing libarchive-3.2.2,1...
[head-armv6-default-job-07] |   `-- Installing liblz4-131...
[head-armv6-default-job-07] |   `-- Extracting liblz4-131: .......... done
[head-armv6-default-job-07] |   `-- Installing lzo2-2.09...
[head-armv6-default-job-07] |   `-- Extracting lzo2-2.09: .......... done
[head-armv6-default-job-07] `-- Extracting libarchive-3.2.2,1: .......... done
[head-armv6-default-job-07] `-- Installing jsoncpp-1.7.7...
[head-armv6-default-job-07] `-- Extracting jsoncpp-1.7.7: .......... done
[head-armv6-default-job-07] Extracting cmake-3.6.3: .......... done
Message from ca_root_nss-3.27.1:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   zh-librime-1.2.9_1 depends on file: /usr/local/bin/cmake - found
===>   Returning to build of zh-librime-1.2.9_1
===>   zh-librime-1.2.9_1 depends on package: pkgconf>=0.9.10 - not found
===>   Installing existing package /packages/All/pkgconf-1.0.2.txz
[head-armv6-default-job-07] Installing pkgconf-1.0.2...
[head-armv6-default-job-07] Extracting pkgconf-1.0.2: .......... done
===>   zh-librime-1.2.9_1 depends on package: pkgconf>=0.9.10 - found
===>   Returning to build of zh-librime-1.2.9_1
===>   zh-librime-1.2.9_1 depends on executable: msgfmt - not found
===>   Installing existing package /packages/All/gettext-tools-0.19.8.1.txz
[head-armv6-default-job-07] Installing gettext-tools-0.19.8.1...
[head-armv6-default-job-07] `-- Installing indexinfo-0.2.6...
[head-armv6-default-job-07] `-- Extracting indexinfo-0.2.6: .... done
[head-armv6-default-job-07] `-- Installing gettext-runtime-0.19.8.1...
[head-armv6-default-job-07] `-- Extracting gettext-runtime-0.19.8.1: .......... 
done
[head-armv6-default-job-07] Extracting gettext-tools-0.19.8.1: .......... done
===>   zh-librime-1.2.9_1 depends on executable: msgfmt - found
===>   Returning to build of zh-librime-1.2.9_1
===>   zh-librime-1.2.9_1 depends on file: 
/usr/local/libdata/pkgconfig/xproto.pc - not found
===>   Installing existing package /packages/All/xproto-7.0.31.txz
[head-armv6-default-job-07] Installing xproto-7.0.31...
[head-armv6-default-job-07] Extracting xproto-7.0.31: .......... done
===>   zh-librime-1.2.9_1 depends on file: 
/usr/local/libdata/pkgconfig/xproto.pc - found
===>   Returning to build of zh-librime-1.2.9_1
===>   zh-librime-1.2.9_1 depends on package: perl5>=5.24<5.25 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   zh-librime-1.2.9_1 depends on shared library: libboost_thread.so - not 
found
===>   Installing existing package /packages/All/boost-libs-1.62.0_1.txz
[head-armv6-default-job-07] Installing boost-libs-1.62.0_1...
[head-armv6-default-job-07] `-- Installing icu-58.1,1...
[head-armv6-default-job-07] `-- Extracting icu-58.1,1: .......... done
[head-armv6-default-job-07] Extracting boost-libs-1.62.0_1: .......... done
Message from boost-libs-1.62.0_1:
You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.
===>   zh-librime-1.2.9_1 depends on shared library: libboost_thread.so - found 
(/usr/local/lib/libboost_thread.so)
===>   Returning to build of zh-librime-1.2.9_1
===>   zh-librime-1.2.9_1 depends on shared library: libgflags.so - not found
===>   Installing existing package /packages/All/gflags-2.2.0_1.txz
[head-armv6-default-job-07] Installing gflags-2.2.0_1...
[head-armv6-default-job-07] Extracting gflags-2.2.0_1: .......... done
===>   zh-librime-1.2.9_1 depends on shared library: libgflags.so - found 
(/usr/local/lib/libgflags.so)
===>   Returning to build of zh-librime-1.2.9_1
===>   zh-librime-1.2.9_1 depends on shared library: libglog.so - not found
===>   Installing existing package /packages/All/glog-0.3.4.txz
[head-armv6-default-job-07] Installing glog-0.3.4...
[head-armv6-default-job-07] Extracting glog-0.3.4: .......... done
===>   zh-librime-1.2.9_1 depends on shared library: libglog.so - found 
(/usr/local/lib/libglog.so)
===>   Returning to build of zh-librime-1.2.9_1
===>   zh-librime-1.2.9_1 depends on shared library: libleveldb.so - not found
===>   Installing existing package /packages/All/leveldb-1.19.txz
[head-armv6-default-job-07] Installing leveldb-1.19...
[head-armv6-default-job-07] `-- Installing snappy-1.1.3...
[head-armv6-default-job-07] `-- Extracting snappy-1.1.3: .......... done
[head-armv6-default-job-07] Extracting leveldb-1.19: .......... done
===>   zh-librime-1.2.9_1 depends on shared library: libleveldb.so - found 
(/usr/local/lib/libleveldb.so)
===>   Returning to build of zh-librime-1.2.9_1
===>   zh-librime-1.2.9_1 depends on shared library: libmarisa.so - not found
===>   Installing existing package /packages/All/marisa-tire-0.24_1.txz
[head-armv6-default-job-07] Installing marisa-tire-0.24_1...
[head-armv6-default-job-07] Extracting marisa-tire-0.24_1: .......... done
===>   zh-librime-1.2.9_1 depends on shared library: libmarisa.so - found 
(/usr/local/lib/libmarisa.so)
===>   Returning to build of zh-librime-1.2.9_1
===>   zh-librime-1.2.9_1 depends on shared library: libopencc.so - not found
===>   Installing existing package /packages/All/zh-opencc-1.0.4.txz
[head-armv6-default-job-07] Installing zh-opencc-1.0.4...
[head-armv6-default-job-07] Extracting zh-opencc-1.0.4: .......... done
===>   zh-librime-1.2.9_1 depends on shared library: libopencc.so - found 
(/usr/local/lib/libopencc.so)
===>   Returning to build of zh-librime-1.2.9_1
===>   zh-librime-1.2.9_1 depends on shared library: libyaml-cpp.so - not found
===>   Installing existing package /packages/All/yaml-cpp-0.5.3_1.txz
[head-armv6-default-job-07] Installing yaml-cpp-0.5.3_1...
[head-armv6-default-job-07] Extracting yaml-cpp-0.5.3_1: .......... done
===>   zh-librime-1.2.9_1 depends on shared library: libyaml-cpp.so - found 
(/usr/local/lib/libyaml-cpp.so)
===>   Returning to build of zh-librime-1.2.9_1
===>   zh-librime-1.2.9_1 depends on shared library: libintl.so - found 
(/usr/local/lib/libintl.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for zh-librime-1.2.9_1
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/chinese/librime/work/librime-rime-1.2.9/thirdparty/src/glog/m4/libtool.m4
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/chinese/librime/work/librime-rime-1.2.9/thirdparty/src/glog/configure
===>  Performing in-source build
/bin/mkdir -p /wrkdirs/usr/ports/chinese/librime/work/librime-rime-1.2.9
-- The C compiler identification is Clang 3.8.0
-- The CXX compiler identification is Clang 3.8.0
-- Check for working C compiler: /nxb-bin/usr/bin/cc
-- Check for working C compiler: /nxb-bin/usr/bin/cc -- works
-- Detecting C compiler ABI info
CMake Error: Generator: execution of make failed. Make command was: 
"/usr/bin/make" "cmTC_33890/fast"
-- Detecting C compiler ABI info - failed
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Warning at /usr/local/share/cmake/Modules/FindBoost.cmake:743 (message):
  Imported targets not available for Boost version 106200
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindBoost.cmake:842 
(_Boost_COMPONENT_DEPENDENCIES)
  /usr/local/share/cmake/Modules/FindBoost.cmake:1395 
(_Boost_MISSING_DEPENDENCIES)
  CMakeLists.txt:41 (find_package)


CMake Warning at /usr/local/share/cmake/Modules/FindBoost.cmake:743 (message):
  Imported targets not available for Boost version 106200
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindBoost.cmake:842 
(_Boost_COMPONENT_DEPENDENCIES)
  /usr/local/share/cmake/Modules/FindBoost.cmake:1395 
(_Boost_MISSING_DEPENDENCIES)
  CMakeLists.txt:41 (find_package)


CMake Warning at /usr/local/share/cmake/Modules/FindBoost.cmake:743 (message):
  Imported targets not available for Boost version 106200
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindBoost.cmake:842 
(_Boost_COMPONENT_DEPENDENCIES)
  /usr/local/share/cmake/Modules/FindBoost.cmake:1395 
(_Boost_MISSING_DEPENDENCIES)
  CMakeLists.txt:41 (find_package)


CMake Warning at /usr/local/share/cmake/Modules/FindBoost.cmake:743 (message):
  Imported targets not available for Boost version 106200
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindBoost.cmake:842 
(_Boost_COMPONENT_DEPENDENCIES)
  /usr/local/share/cmake/Modules/FindBoost.cmake:1395 
(_Boost_MISSING_DEPENDENCIES)
  CMakeLists.txt:41 (find_package)


-- Boost version: 1.62.0
-- Found the following Boost libraries:
--   filesystem
--   regex
--   signals
--   system
-- Found gflags: /usr/local/lib/libgflags.so
-- Found glog: /usr/local/lib/libglog.so
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Found Threads: TRUE  
-- Found yaml-cpp: /usr/local/lib/libyaml-cpp.so
-- Found leveldb: /usr/local/lib/libleveldb.so
-- Found marisa: /usr/local/lib/libmarisa.so
-- Found opencc: /usr/local/lib/libopencc.so
-- Found X11/keysym.h at 
/wrkdirs/usr/ports/chinese/librime/work/librime-rime-1.2.9/thirdparty/include
-- Configuring incomplete, errors occurred!
See also 
"/wrkdirs/usr/ports/chinese/librime/work/librime-rime-1.2.9/CMakeFiles/CMakeOutput.log".
See also 
"/wrkdirs/usr/ports/chinese/librime/work/librime-rime-1.2.9/CMakeFiles/CMakeError.log".
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/chinese/librime
*** Error code 1

Stop.
make: stopped in /usr/ports/chinese/librime
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to